Loading...
Searching...
No Matches
Vector Class Reference

`#include <Poly.h>`

## Public Member Functions

| Vector (ring r=currRing)
| Vector (int n, ring r=currRing)
| Vector (const char *c, ring r=currRing)
| Vector (const Base &p)
| Vector (poly p, ring r)
| Vector (poly p, ring r, int)
| Vector (std::vector< int > v, ring r=currRing)
Vector & | operator+= (const Vector &p)
Vector & | operator+= (const Base &p)
Public Member Functions inherited from PolyBase< POLY_VARIANT_MODUL, Vector, MyErrorHandler >
poly | as_poly () const
void | checkIsSameRing (T &p)
Intvec | leadExp ()
void | copy_on_write ()
void | print () const
char * | c_string () const
| PolyBase (ring r=currRing)
| PolyBase (const char *c, ring r=currRing)
| PolyBase (const PolyBase &p)
PolyBase & | operator+= (const PolyBase &p2)
PolyBase & | operator*= (const Poly &p2)
PolyBase & | operator*= (Number n)
virtual | ~PolyBase ()
| PolyBase (poly p, ring r)
| PolyBase (poly p, ring r, int)
PolyInputIterator< create_type > | begin ()
PolyInputIterator< create_type > | end ()
ring | getRing () const
int | lmTotalDegree () const
Number | leadCoef ()
create_type | operator- ()

## Private Types

typedef PolyBase< POLY_VARIANT_MODUL, Vector, MyErrorHandler > | Base

## Friends

bool | operator== (const Vector &p1, const Vector &p2)

## Additional Inherited Members

Public Types inherited from PolyBase< POLY_VARIANT_MODUL, Vector, MyErrorHandler >
typedef Vector | create_type
typedef PolyInputIterator< create_type > | iterator
Protected Member Functions inherited from PolyBase< POLY_VARIANT_MODUL, Vector, MyErrorHandler >
| PolyBase (PolyImpl &impl)
poly | getInternalReference ()
Protected Attributes inherited from PolyBase< POLY_VARIANT_MODUL, Vector, MyErrorHandler >
shared_ptr< PolyImpl > | ptr

## Detailed Description

Definition at line 509 of file Poly.h.

## Member Typedef Documentation

## Base

typedef PolyBase<POLY_VARIANT_MODUL, Vector, MyErrorHandler> Vector::Base

private

Definition at line 511 of file Poly.h.

## Constructor & Destructor Documentation

## Vector() [1/7]

Vector::Vector | ( | ring | r = currRing | ) |

inline

Definition at line 514 of file Poly.h.

:Base ((poly)NULL,r,0){
}
Vector::Base
PolyBase< POLY_VARIANT_MODUL, Vector, MyErrorHandler > Base
Definition Poly.h:511
NULL
#define NULL
Definition omList.c:12

## Vector() [2/7]

Vector::Vector | ( | int | n,
|  | ring | r = currRing )

inline

Definition at line 516 of file Poly.h.

:Base(*(new PolyImpl(n,r))){
}

## Vector() [3/7]

Vector::Vector | ( | const char * | c,
|  | ring | r = currRing )

inline

Definition at line 519 of file Poly.h.

:Base(c,r){
}

## Vector() [4/7]

Vector::Vector | ( | const Base & | p | ) |

inline

Definition at line 522 of file Poly.h.

:Base(p){
}
p
int p
Definition cfModGcd.cc:4086

## Vector() [5/7]

Vector::Vector | ( | poly | p,
|  | ring | r )

inline

Definition at line 526 of file Poly.h.

:Base(p,r){
}

## Vector() [6/7]

Vector::Vector | ( | poly | p,
|  | ring | r,
|  | int | )

inline

Definition at line 529 of file Poly.h.

:Base(p,r,0){
}

## Vector() [7/7]

Vector::Vector | ( | std::vector< int > | v,
|  | ring | r = currRing )

inline

Definition at line 531 of file Poly.h.

:Base(*(new PolyImpl((poly) NULL,r))){
unsigned int i;
int s=v.size();
poly p=p_ISet(1,r);
for(i=0;i<v.size();i++){
pSetExp(p,i+1,v[i]);
}
pSetm(p);
ptr.reset(new PolyImpl(p,r));
}
i
int i
Definition cfEzgcd.cc:132
PolyBase< POLY_VARIANT_MODUL, Vector, MyErrorHandler >::ptr
shared_ptr< PolyImpl > ptr
Definition Poly.h:451
s
const CanonicalForm int s
Definition facAbsFact.cc:51
v
const Variable & v
< [in] a sqrfree bivariate poly
Definition facBivar.h:39
p_ISet
poly p_ISet(long i, const ring r)
returns the poly representing the integer i
Definition p_polys.cc:1298
pSetm
#define pSetm(p)
Definition polys.h:272
pSetExp
#define pSetExp(p, i, v)
Definition polys.h:43

## Member Function Documentation

## operator+=() [1/2]

Vector & Vector::operator+= | ( | const Base & | p | ) |

inline

Definition at line 551 of file Poly.h.

{
((Base&)*this)+=p;
return *this;
}

## operator+=() [2/2]

Vector & Vector::operator+= | ( | const Vector & | p | ) |

inline

Definition at line 546 of file Poly.h.

{
((Base&)*this)+=p;
return *this;
}

## Friends And Related Symbol Documentation

## operator==

bool operator== | ( | const Vector & | p1,
|  | const Vector & | p2 )

friend

Definition at line 614 of file Poly.h.

{
ring r1=p1.getRing();
ring r2=p2.getRing();
if (r1!=r2) return false;
return p_EqualPolys(p1.ptr->p,p2.ptr->p,r1);
}
PolyBase::getRing
ring getRing() const
Definition Poly.h:427
p_EqualPolys
BOOLEAN p_EqualPolys(poly p1, poly p2, const ring r)
Definition p_polys.cc:4666

The documentation for this class was generated from the following file:

- Singular/dyn_modules/python/Poly.h